%define major 0
%define libname %mklibname ggiwmh %{major}
%define develname %mklibname -d ggiwmh
%define staticname %mklibname -s -d ggiwmh

Summary:	Extension to libggi whereby wmh stands for 'Window Manager Hints'
Name:		libggiwmh
Version:	0.3.2
Release:	%mkrel 7
License:        BSD
Group:		System/Libraries
Url:		http://www.ggi-project.org
Source0:	http://www.ggi-project.org/ftp/ggi/v2.2/%{name}-%{version}.src.tar.bz2
BuildRequires:	libggi-devel	>= 2.2.2
%ifarch x86_64
BuildRequires:	chrpath
%endif
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
It adds features like moving, resizing, iconifying, z-ordering 
Windows and more that happen to contain a ggi visual. It is safe 
to use it even on non-windowed targets. The ggiWmh* functions just 
fail in that case, where the failure indicates a NOOP.

%package -n %{libname}
Summary:	Main library for libggiwmh
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Main library for libggiwmh.

%package -n %develname
Summary:	Header files for libggiwmh library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d ggiwmh 0

%description -n %develname
Header files for libggiwmh library.

%package -n %staticname
Summary:	Static files for libggiwmh library
Group:		Development/C
Requires:	%develname = %{version}-%{release}
Obsoletes: %mklibname -s -d ggiwmh 0

%description -n %staticname
Static files for libggiwmh library.

%prep
%setup -q

%build
export echo=echo

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
export echo=echo

%makeinstall_std

%ifarch x86_64
chrpath -d %{buildroot}%{_libdir}/libggiwmh.so.0.0.3
chrpath -d %{buildroot}%{_libdir}/ggi/wmh/display/X_wmh.so
chrpath -d %{buildroot}%{_libdir}/ggi/wmh/display/pseudo_stubs_wmh.so
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc COPYING README ChangeLog
%attr(755,root,root)
%config(noreplace) %{_sysconfdir}/ggi/libggiwmh.conf
%attr(755,root,root) %{_libdir}/ggi/wmh/display/*.so
%attr(755,root,root) %{_libdir}/ggi/wmh/display/*.la
%{_mandir}/man3/*

%files -n %{libname}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.%{major}*

%files -n %develname
%defattr(644,root,root,755)
%doc doc/*.txt
%{_includedir}/ggi/*.h
%{_includedir}/ggi/internal/*.h
%attr(755,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man7/*

%files -n %staticname
%defattr(644,root,root,755)
%{_libdir}/*.a




%changelog
* Sun Sep 13 2009 Thierry Vignaud <tv@mandriva.org> 0.3.2-7mdv2010.0
+ Revision: 438604
- rebuild

* Sun Nov 09 2008 Götz Waschk <waschk@mandriva.org> 0.3.2-6mdv2009.1
+ Revision: 301346
- rebuild for new libxcd

* Thu Oct 23 2008 Götz Waschk <waschk@mandriva.org> 0.3.2-5mdv2009.1
+ Revision: 296643
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 22 2007 Götz Waschk <waschk@mandriva.org> 0.3.2-4mdv2008.1
+ Revision: 101140
- new devel name
- fix license


* Fri Feb 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-4mdv2007.0
+ Revision: 125202
- fix dependencies

* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 0.3.2-3mdv2007.1
+ Revision: 125135
- fix deps

* Fri Feb 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-2mdv2007.1
+ Revision: 125111
- add missing buildrequires
- remove rpath for other files
- make it work
- remove rpath
- Import libggiwmh

